Page MenuHomePhabricator

[Bug] Segmentation fault while input state name
Closed, ResolvedPublic0 Story Points

Description

Reproduce:

  1. Create project
  2. Add Part
  3. Add State

Actual result:
While input state name -> Program received signal SIGSEGV, Segmentation fault.

Expected result:
State should be added

bt:

#0 0x0000000000481ad2 in _popup_add_state_ok_clicked (data=0x142b6f0, obj=<optimized out>, event_info=<optimized out>)

at ../../src/bin/ui/workspace/group_navigator.c:1251

#1 0x0000000000481ccd in _popup_add_state_validator (data=0x142b6f0) at ../../src/bin/ui/workspace/group_navigator.c:1282
#2 0x000000000043bb8b in _btn_cb (data=<optimized out>, obj=<optimized out>, ei=<optimized out>) at ../../src/bin/ui/popup.c:77
#3 0x00007ffff5fc0e9c in _eo_base_event_callback_call (obj_id=<optimized out>, pd=0x2929c60, desc=0x7ffff717a3a0 <_EFL_UI_EVENT_CLICKED>, event_info=<optimized out>)

at lib/eo/eo_base_class.c:1128

#4 0x00007ffff5fbe5bb in eo_event_callback_call (obj=0x400002c5a001b485, desc=0x7ffff717a3a0 <_EFL_UI_EVENT_CLICKED>, event_info=0x0) at lib/eo/eo_base.eo.c:134
#5 0x00007ffff626f500 in edje_match_callback_exec_check_finals (signal_states=<optimized out>, signal_states=<optimized out>, source_states=<optimized out>,

source_states=<optimized out>, prop=<optimized out>, ed=0xaaaaaaaaaaaaaaab, source=0x7ffff744793e "", sig=0xa983bc "elm,action,click", matches=<optimized out>, 
ssp=0xb0e050) at lib/edje/edje_match.c:556

#6 edje_match_callback_exec (ssp=ssp@entry=0xb0e050, matches=<optimized out>, sig=sig@entry=0xa983bc "elm,action,click", source=source@entry=0x7ffff744793e "",

ed=ed@entry=0x1f24d20, prop=prop@entry=0 '\000') at lib/edje/edje_match.c:711

#7 0x00007ffff6275837 in _edje_emit_cb (prop=0 '\000', data=0x0, src=0x7ffff744793e "", sig=0xa983bc "elm,action,click", ed=0x1f24d20) at lib/edje/edje_program.c:1461
#8 _edje_emit_handle (ed=0x1f24d20, sig=0xa983bc "elm,action,click", src=0x7ffff744793e "", sdata=0x0, prop=0 '\000') at lib/edje/edje_program.c:1413
#9 0x00007ffff627089f in _edje_message_queue_process () at lib/edje/edje_message_queue.c:787
#10 0x00007ffff6270a47 in _edje_job (data=<optimized out>) at lib/edje/edje_message_queue.c:154
#11 0x00007ffff6b162bb in _ecore_job_event_handler (data=<optimized out>, type=<optimized out>, ev=<optimized out>) at lib/ecore/ecore_job.c:98
#12 0x00007ffff6b12129 in _ecore_call_handler_cb (event=<optimized out>, type=<optimized out>, data=<optimized out>, func=<optimized out>)

at lib/ecore/ecore_private.h:316

#13 _ecore_event_call () at lib/ecore/ecore_events.c:518
#14 0x00007ffff6b18f45 in _ecore_main_loop_iterate_internal (once_only=1) at lib/ecore/ecore_main.c:2343
#15 0x00007ffff6b19217 in ecore_main_loop_iterate_may_block (may_block=may_block@entry=0) at lib/ecore/ecore_main.c:1251
#16 0x0000000000418967 in eflete_main_loop_begin () at ../../src/bin/eflete.c:35
#17 0x000000000043ca55 in popup_want_action (title=title@entry=0x26f3d9c "Add New State to Part \"qazzzzzz\"", msg=msg@entry=0x0,

content_get=content_get@entry=0x483850 <_add_state_content_get>, popup_btns=popup_btns@entry=(BTN_OK | BTN_CANCEL), 
func=func@entry=0x481cc0 <_popup_add_state_validator>, data=data@entry=0x142b6f0) at ../../src/bin/ui/popup.c:143

#18 0x0000000000480069 in _on_menu_add_state_clicked (data=<optimized out>, obj=<optimized out>, ei=<optimized out>)

at ../../src/bin/ui/workspace/group_navigator.c:1405

#19 0x00007ffff626f500 in edje_match_callback_exec_check_finals (signal_states=<optimized out>, signal_states=<optimized out>, source_states=<optimized out>,

source_states=<optimized out>, prop=<optimized out>, ed=0xaaaaaaaaaaaaaaab, source=0xa4c2b0 "elm", sig=0xa983bc "elm,action,click", matches=<optimized out>, 
ssp=0x20c0260) at lib/edje/edje_match.c:556

#20 edje_match_callback_exec (ssp=ssp@entry=0x20c0260, matches=<optimized out>, sig=sig@entry=0xa983bc "elm,action,click", source=source@entry=0xa4c2b0 "elm",

ed=ed@entry=0xb2b9c0, prop=prop@entry=0 '\000') at lib/edje/edje_match.c:711

#21 0x00007ffff6275837 in _edje_emit_cb (prop=0 '\000', data=0x0, src=0xa4c2b0 "elm", sig=0xa983bc "elm,action,click", ed=0xb2b9c0) at lib/edje/edje_program.c:1461
#22 _edje_emit_handle (ed=0xb2b9c0, sig=0xa983bc "elm,action,click", src=0xa4c2b0 "elm", sdata=0x0, prop=0 '\000') at lib/edje/edje_program.c:1413
#23 0x00007ffff627089f in _edje_message_queue_process () at lib/edje/edje_message_queue.c:787
#24 0x00007ffff6270a47 in _edje_job (data=<optimized out>) at lib/edje/edje_message_queue.c:154
#25 0x00007ffff6b162bb in _ecore_job_event_handler (data=<optimized out>, type=<optimized out>, ev=<optimized out>) at lib/ecore/ecore_job.c:98
#26 0x00007ffff6b12129 in _ecore_call_handler_cb (event=<optimized out>, type=<optimized out>, data=<optimized out>, func=<optimized out>)

at lib/ecore/ecore_private.h:316

#27 _ecore_event_call () at lib/ecore/ecore_events.c:518
#28 0x00007ffff6b18f45 in _ecore_main_loop_iterate_internal (once_only=once_only@entry=0) at lib/ecore/ecore_main.c:2343
#29 0x00007ffff6b192e7 in ecore_main_loop_begin () at lib/ecore/ecore_main.c:1285
#30 0x00007ffff782d245 in elm_run () at lib/elementary/elm_main.c:1248
#31 0x000000000041847a in elm_main (argc=argc@entry=1, argv=argv@entry=0x7fffffffe298) at ../../src/bin/main.c:330

QA_Igor created this task.Jul 7 2016, 5:32 AM
QA_Igor moved this task from Wish list to KanBan (Bugs pool) on the Eflete board.Jul 7 2016, 5:36 AM
FurryMyad edited projects, added Eflete (Eflete 0.7); removed Eflete.
FurryMyad moved this task from Backlog to Doing on the Eflete (Eflete 0.7) board.
FurryMyad claimed this task.
FurryMyad reassigned this task from FurryMyad to NikaWhite.Jul 7 2016, 10:54 AM
FurryMyad moved this task from Doing to Review on the Eflete (Eflete 0.7) board.
FurryMyad added a subscriber: FurryMyad.
NikaWhite set the point value for this task to 0.Jul 11 2016, 8:29 AM
QA_Igor moved this task from Review to Done on the Eflete (Eflete 0.7) board.Jul 12 2016, 9:29 AM
rimmed closed this task as Resolved.Jul 18 2016, 4:16 AM